OpenShot Audio Library | OpenShotAudio: juce::IIRFilter Class Reference

OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::IIRFilter Class Reference

`#include <juce_IIRFilter.h>`

Inheritance diagram for juce::IIRFilter:

## Public Member Functions
| IIRFilterBase () noexcept
| IIRFilterBase (const IIRFilterBase &) noexcept
Public Member Functions inherited from juce::IIRFilterBase< SpinLock >
| IIRFilterBase () noexcept
| IIRFilterBase (const IIRFilterBase &) noexcept
void | makeInactive () noexcept
void | setCoefficients (const IIRCoefficients &newCoefficients) noexcept
IIRCoefficients | getCoefficients () const noexcept
void | reset () noexcept
void | processSamples (float *samples, int numSamples) noexcept
float | processSingleSampleRaw (float sample) noexcept

## Additional Inherited Members
Protected Member Functions inherited from juce::IIRFilterBase< SpinLock >
IIRFilter & | operator= (const IIRFilter &)=delete
Protected Attributes inherited from juce::IIRFilterBase< SpinLock >
SpinLock | processLock
IIRCoefficients | coefficients
float | v1
float | v2
bool | active

## Detailed Description

An IIR filter that can perform low, high, or band-pass filtering on an audio signal, and which attempts to implement basic thread-safety.

This class synchronises calls to some of its member functions, making it safe (although not necessarily real-time-safe) to reset the filter or apply new coefficients while the filter is processing on another thread. In most cases this style of internal locking should not be used, and you should attempt to provide thread-safety at a higher level in your program. If you can guarantee that calls to the filter will be synchronised externally, you could consider switching to SingleThreadedIIRFilter instead.

See also
  SingleThreadedIIRFilter, IIRCoefficient, IIRFilterAudioSource

Definition at line 231 of file juce_audio_basics/utilities/juce_IIRFilter.h.

## Member Function Documentation

## ◆ IIRFilterBase() [1/2]

juce::IIRFilterBase< Mutex >::IIRFilterBase | ( |  | ) |
| defaultnoexcept

Creates a filter.

Initially the filter is inactive, so will have no effect on samples that you process with it. Use the setCoefficients() method to turn it into the type of filter needed.

## ◆ IIRFilterBase() [2/2]

juce::IIRFilterBase< Mutex >::IIRFilterBase | ( | const IIRFilterBase & | other | ) |
| noexcept

Creates a copy of another filter.

Definition at line 170 of file juce_audio_basics/utilities/juce_IIRFilter.cpp.

The documentation for this class was generated from the following file:

- juce_audio_basics/utilities/juce_IIRFilter.h